Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`iocpreactor`.`reactor``

module documentation
(source)

Reactor that uses IO completion ports

Class | `IOCPReactor` | No class docstring; 0/2 instance variable, 8/17 methods documented
Function | `install` | Undocumented
Constant | `EVENTS_PER_LOOP` | Undocumented
Constant | `MAX_TIMEOUT` | Undocumented
Variable | `KEY_NORMAL` | Undocumented
Variable | `KEY_WAKEUP` | Undocumented
Constant | `_NO_FILEDESC` | Undocumented
Constant | `_NO_GETHANDLE` | Undocumented

def install(): (source)

Undocumented

EVENTS_PER_LOOP: `int` = (source)

Undocumented

Value

    1000

MAX_TIMEOUT: `int` = (source)

Undocumented

Value

    2000

KEY_NORMAL = (source)

Undocumented

KEY_WAKEUP = (source)

Undocumented

_NO_FILEDESC = (source)

Undocumented

Value

    error.ConnectionFdescWentAway('Filedescriptor went away')

_NO_GETHANDLE = (source)

Undocumented

Value

    error.ConnectionFdescWentAway('Handler has no getFileHandle method')